      SUBROUTINE GSCA (X,Y)
      INCLUDE 'Parametres.f'
      data eps /1.e-4/

      if (x.eq.1.and.y.eq.0.) then
        angle_texte = 0.
      elseif (x.eq.0.and.y.eq.1.) then
        angle_texte = 90.
      else
        angle_texte = dacos(dble(x)/dsqrt(dble(x)**2+dble(y)**2))
     &              *180./3.14159265359
        if (y.lt.0.) angle_texte=-angle_texte
        if (abs(angle_texte).lt.eps) angle_texte=0.
      endif
      if (ipostscript.ne.1) then
        write(ilaser_file,1000) ifonte_courante_ps,angle_texte
     &                         ,nint(taille_texte*1000)
 1000   format(i2,f6.2,i6,' lf')
      endif
      end
